
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "chunk-2"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "chunk-2"

	actor[cp_in_beastie_count]		= 0

	actor[cp_actor_type]			= cat_block
	actor[cp_these_collide_with_me]	= cat_player + cat_bullet + cat_crystal + cat_webblob + cat_geopus + cat_mergeblob

	actor[cp_health_regain]			= 0.2
	actor[cp_health_percent]		= 2000.0
	actor[cp_health_type]			= health_chunk_regain
	actor[cp_health_byebye_percent]	= 50.0

	actor[cp_launch_hue_shift] = color - 90

	actor[cp_level_end_score]		= 1000

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "throb", 50.0, 150.0, 0.0, 0.0 )
	c_add_particle_to_anim( "emerge", "partbone", "ring_emerge" )

	c_add_sound_to_event( "hit_active_bone", "chunk_hit" )
	c_add_sound_to_anim( "emerge", "chunk_emerge" )

	local seq = { 0.0, 0.05, 0.1, 0.15, 0.2, 0.3, 0.4, 0.5 }
	c_set_use_explosion_for( "bye_bye", "chunk_cyan", exp_no_align, 30.0, 0.0, 1300.0, 1700.0, seq )
	c_set_use_explosion_for( "bye_bye", "chunk-flash", exp_no_align, 0.0, 0.5, 3500.0, 3500.0, {0.0} )
	c_add_sound_to_explosion( "chunk_cyan", "explode", "chunk_explode" )
